#!/usr/bin/env python
# encoding: utf-8
"""
befriender_handler.py

Contains class initialized for each login from a befriender. 

Created by Elliot Pennington on 2008-11-23.
"""

import MySQLdb
import net_info

class Database:
    """
    Class to handle all the dealings with the database.
    
    """
    
    def __init__(self):

        """ Initialize connection to the database """
        self.conn = MySQLdb.connect(host = net_info.db_host, 
                                    user = net_info.db_user,
                                    passwd = net_info.db_passwd,
                                    db = net_info.db_db)
    
    def client_add(self, client):
        """ 
        Add a new client to the database.
        
        Args:
            client: This is simply the screen name (encrypted) of the new client
        """
        cursor = self.conn.cursor()
        cursor.query("""select max (serialNum) from Client""")
        newSerial = fetchone() + 1 
        cursor.query("""insert into Client ('screenname', serialNum) values (%s, %s)"""
                     % client, newSerial)
    
    def client_exists(self, client):
        """
        Check the database for an existing client entry
        
        Args:
            client: This is simply the screen name (encrypted) of the new client
        """
        cursor = self.conn.cursor()
        #TODO(esp): query
        cursor.query("""select serialNum from Client where screenname = %s""")
        if not cursor.fetchone():
            return False
        return True
        
    
